## org.codehaus.groovy.ast.expr
Class Expression

Represents a base class for expressions which evaluate as an object

author:
  James Strachan

version:
  $Revision: 6778 $

Field Summary
`ClassNode` | `type`

Constructor Summary
`Expression()`

Method Summary
`ClassNode` | `getType()`
`void` | `setType(ClassNode t)`
`Expression` | `transformExpression(ExpressionTransformer transformer)` Return a copy of the expression calling the transformer on any nested expressions
`List` | `transformExpressions(List expressions, ExpressionTransformer transformer)` Return a copy of the expression calling the transformer on any nested expressions

Constructor Detail

### Expression

    Expression()

Method Detail

### getType

    public ClassNode getType()

### setType

    public void setType(ClassNode t)

### transformExpression

    public Expression transformExpression(ExpressionTransformer transformer)

  Return a copy of the expression calling the transformer on any nested expressions
  param:
    transformer

### transformExpressions

    List transformExpressions(List expressions, ExpressionTransformer transformer)

  Return a copy of the expression calling the transformer on any nested expressions
  param:
    transformer